.header {  
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    z-index:9;
    height: 80px;
    &.hasSticky,
    &.header_sticky {
        .logo {
            padding: 10px 0px 0px 30px;
            img {
                width: 100px;
            }
        }
        .stickmenubar {
            top: -10px;
        }
    }
    .stickmenubar {
        @include transition(all 0.25s ease-in-out 0.2s);
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 72px;
        top: -80px;
        background-color: #fff;

        @include boxShadow( 0px 7px 10px 0 rgba(0,0,0,0.07));
    }
    .logo {
        padding: 30px 0px 0px 30px;
        float: left;
        position: absolute;
        left: 0px;
        top: 0px;
        z-index: 1;
        @extend %transition;        
        a {
            display: inline-block;
            width: 150px;
            position: relative;
            overflow: hidden;
            span {
                position: absolute;
                left: 0px;
                top: 0;
                float: left;
                width: 0px;
                overflow: hidden;
            }
        }
        img{
            width: 150px;
            @extend %transition;
        }
    }
}
.menu_btn {
    @extend %transition;
    background: $lightgreen;
    padding: 15px;
    position: fixed;
    right: 0;
    top: 0px;
    width: 63px;
    height: 125px;
    cursor: pointer;
    z-index: 5;
    overflow: hidden;

    .menuicon {
        position: absolute;
        top: 0px;
        left: 0px;
        right: 0;
        margin: 0 auto;
        width: 28px;
        position: absolute;
        span {
            display: block;
            height: 2px;
            width: 24px;
            background: $white;
            position: absolute;
            left: 0px;
            top:30px;
            @extend %transition;
            &.top {
                @include transform(translate3d(0, -10px, 0));
            }
            &.medium {
                transform-origin: center center;
            }
            &.bot {
                @include transform(translate3d(0, 10px, 0));
            }
        }
    }
    .txt {
        @extend %transition;
        position: absolute;
        left: 50%;
        top: 77px;
        margin-left: -23px;
        text-transform: uppercase;
        font-weight: 900;
        font-size: 14px;
        color: $white;

        @include transform(rotate(90deg));
    }
    &.open {
        background: $white;
        .txt {
            color: $darkgreen;
        }
        .menuicon {
            span {
                background: $darkgreen;
                &.top {
                    @include transform(rotate(45deg) translate3d(0, 0px, 0));
                }
                &.medium {
                    @include transform(scaleX(0));

                }
                &.bot {
                    @include transform(rotate(-45deg) translate3d(0, 0px, 0));
                }
            }
        }
    }
}


.fixed {
    .header {
        .menu_btn {
            width: 55px;
            @include translate(rotate(90deg) translateY(-55px));
            .txt {
                display: none;
            }
        }   
    }
}
.categories_drop_down {
    position: fixed;
    left: 0px;
    top: 0px;
    background-color: #fff;
    width: 100%;
    z-index: 9;
    @include translate(translateY(-100%));
    padding: {
        top: 20px;
        bottom: 20px;
    }

    .parent_menu_item {
        font: {
            weight: 600;
            size: 19px;
        }
        text-align: center;
        span {
            cursor: pointer;
        }
        i {
            font-size: 20px;
            vertical-align: middle;
        }

    }
}
.categories_list {
    padding-top: 40px;
    display: none;
    ul {
        padding: 0px;
        margin: 0px;
    }
    li {
        width: 50%;
        float: left;
        padding: 15px 5%;
        list-style: none;
        position: relative;
        &:before, &:after {
            content: "";
            width: 80%;
            height: 1px;
            background: #d2d4d4;
            position: absolute;
            left: 10%;  
        }
        &:before {
            top: 0px;
        }
        &:after {
            bottom: -1px;
        }
        a {
            color: $darkgreen;
            font-weight: 600;
        }
    }
}
.main_menu {
    height: 100%;
    position: fixed;
    top: 0px;
    right: -100%;
    z-index: 20;   
    @include transition(all 0.6s cubic-bezier(0.72, -0.06, 0.36, 1) 0s);

    &.hasSticky {
        .menu_btn {
            height: 62px;
        }
    }

    .back_overlay {
        position: fixed;
        width: 0%;
        height: 100%;
        right: 0px;
        top: 0px;
        z-index:3;
        background: rgba(0,0,0,.3);
        @include transition(all 0.6s cubic-bezier(0.72, -0.06, 0.36, 1) 0s);
    }
    &.open {
        right: 0px;
        width: 100%;
        .back_overlay {
            width: 100%;
        }
    }
}
.menu_wrap {
    max-width: 1260px;
    height: 100%;
    position: absolute;
    top: 0px;
    right: 0%;
    width: 100%;
    background-color:$lightgreen;
    z-index: 4;

    .menu_item_wrap {
        width: 100%;
        max-width: 615px;
        float: right;
        @media #{$query1199} {
            & {
                width: 70%;
            }
        }
        @media #{$query767} {
            & {
                width: 100%;
                max-width: 100%;
            }
        }
        @media #{$query576} {
            & > .row {
                display: block;
            }
        }
    }
    .menu-scroller {
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        overflow-y: auto;
    }
    .menu-contents {
        max-width: 1130px;
        padding: 110px 70px 40px 0px;
        height: 100%;
        @media #{$query767} {
            & {
                padding: 50px 40px 40px 40px;
            }
        }
    }
}
.menu-nav {
    ul {
        padding: 0px;
        margin: 0px;
        li {
            list-style: none;
        }        
    }
    > ul {
        > li {
            margin-bottom: 30px;
            > a {
                color: rgba(31,42,42,0.5);
                font:{
                    size: 30px;
                    weight: 900;
                }
                margin-bottom: 10px;
                display: block;
            } 
        }
    }
    ul ul {
        padding-left: 10px;
    }
    ul li li {
        margin-bottom: 10px;
        a {
            position: relative;
            padding-left: 13px;
            color: #fff;
            font-size: 18px;        
            &:before {
                content:'';
                width: 5px;
                height: 1px;
                background: $white;
                position: absolute;
                left: 0px;
                top: 50%;
            }
        } 
    }
}
.logo_menu_desktop {
    position: absolute;
    left: 90px;
    top: 110px;
    max-width: 160px;
    z-index: 1;
    @media #{$query1199} {
        & {
            left: 40px;
            max-width: 140px;
        }
    }
    @media #{$query767} {
        & {
            display: none;
        }
    }
}
.logo_menu_mobile {
    display: none;
    @media #{$query767} {
        & {
            display: block;
            margin-bottom: 20px;
            max-width: 140px;
        }
    }
}
.header_gap {
    height: 62px;
}
.designedBy {
    font-size: 17px;
    color: rgba(255,255,255,0.5);
    margin: {
        top: 70px;
    }
    p {
        color: rgba(255,255,255,0.5);
        a {
            font-weight: 900;
            color: rgba(31, 42, 42, 0.5);
        }
    }
}